CGAL 6.2 - Weights: Uniform Region Weight

CGAL 6.2 - Weights

Loading...
Searching...
No Matches
Functions
Uniform Region Weight
Reference Manual » Weighting Regions

##

`#include<CGAL/Weights/uniform_region_weights.h>`

This weight is always equal to 1.

Template Parameters

  GeomTraits | a model of `AnalyticWeightTraits_2` for 2D points; a model of `AnalyticWeightTraits_3` for 3D points

## Functions
template<typename GeomTraits >
GeomTraits::FT | CGAL::Weights::uniform_area (const typename GeomTraits::Point_2 &, const typename GeomTraits::Point_2 &, const typename GeomTraits::Point_2 &, const GeomTraits &)
| this function always returns `1`, given three 2D points.
template<typename Kernel >
Kernel::FT | CGAL::Weights::uniform_area (const CGAL::Point_2< Kernel > &p, const CGAL::Point_2< Kernel > &q, const CGAL::Point_2< Kernel > &r)
| this function always returns `1`, given three 2D points in 2D.
template<typename GeomTraits >
GeomTraits::FT | CGAL::Weights::uniform_area (const typename GeomTraits::Point_3 &, const typename GeomTraits::Point_3 &, const typename GeomTraits::Point_3 &, const GeomTraits &)
| this function always returns `1`, given three 3D points.
template<typename Kernel >
Kernel::FT | CGAL::Weights::uniform_area (const CGAL::Point_3< Kernel > &p, const CGAL::Point_3< Kernel > &q, const CGAL::Point_3< Kernel > &r)
| this function always returns `1`, given three 3D points.

## Function Documentation

## ◆ uniform_area() [1/4]

template<typename Kernel >

Kernel::FT CGAL::Weights::uniform_area | ( | const CGAL::Point_2< Kernel > & | p,
|  | const CGAL::Point_2< Kernel > & | q,
|  | const CGAL::Point_2< Kernel > & | r
| ) |  |

`#include <CGAL/Weights/uniform_region_weights.h>`

this function always returns `1`, given three 2D points in 2D.

Template Parameters

  Kernel | a model of `Kernel`

## ◆ uniform_area() [2/4]

template<typename Kernel >

Kernel::FT CGAL::Weights::uniform_area | ( | const CGAL::Point_3< Kernel > & | p,
|  | const CGAL::Point_3< Kernel > & | q,
|  | const CGAL::Point_3< Kernel > & | r
| ) |  |

`#include <CGAL/Weights/uniform_region_weights.h>`

this function always returns `1`, given three 3D points.

Template Parameters

  Kernel | a model of `Kernel`

## ◆ uniform_area() [3/4]

template<typename GeomTraits >

GeomTraits::FT CGAL::Weights::uniform_area | ( | const typename GeomTraits::Point_2 & | ,
|  | const typename GeomTraits::Point_2 & | ,
|  | const typename GeomTraits::Point_2 & | ,
|  | const GeomTraits & |
| ) |  |

`#include <CGAL/Weights/uniform_region_weights.h>`

this function always returns `1`, given three 2D points.

Template Parameters

  GeomTraits | a model of `AnalyticWeightTraits_2`

## ◆ uniform_area() [4/4]

template<typename GeomTraits >

GeomTraits::FT CGAL::Weights::uniform_area | ( | const typename GeomTraits::Point_3 & | ,
|  | const typename GeomTraits::Point_3 & | ,
|  | const typename GeomTraits::Point_3 & | ,
|  | const GeomTraits & |
| ) |  |

`#include <CGAL/Weights/uniform_region_weights.h>`

this function always returns `1`, given three 3D points.

Template Parameters

  GeomTraits | a model of `AnalyticWeightTraits_3`